mui.init({
	swipeBack: true,
});
var baseURL, userInfo;
var pagedata;
var feedata;
mui.plusReady(function() {
	baseURL = plus.storage.getItem("baseURL");
	var self = plus.webview.currentWebview();
	pagedata = self.data;
	createDomList(pagedata);
});

function createDomList(data) {
	var data = JSON.parse(data);
	var html = ""; //生成节点属性
	document.getElementById("mbl").innerHTML = (getShipVoyMbl(data.mbl, data.in_state) == "" ? "&nbsp;" : getShipVoyMbl(data.mbl, data.in_state));
	document.getElementById("port").innerHTML = (data.stport == null ? "" : data.stport) + "-到-" + (data.endport == null ? "" : data.endport);
	document.getElementById("startdate").innerHTML = (data.start_date == null ? "" : data.start_date);
	document.getElementById("MV").innerHTML = (data.shipname == null ? "-" : data.shipname) + '/' + (data.voyage == null ? "-" : data.voyage);
	document.getElementById("weight").innerHTML = (data.container_num == null ? "" : data.container_num);
	if(plus.storage.getItem("userInfo2")) {
		var userInfo2 = JSON.parse(plus.storage.getItem("userInfo2"));
		document.getElementById("kfname").innerHTML = (userInfo2.user_name == null ? "" : userInfo2.user_name);
		document.getElementById("kfphone").innerHTML = (userInfo2.phone == null ? "" : userInfo2.phone);
	}
	FeeList(data.business_no);
}
document.getElementById("kfphone").addEventListener("tap", function() {
	if(this.innerText != "") {
		plus.device.dial(this.innerText);
	}
});

function FeeList(business_no) {
	var data = {
		business_no: business_no
	};
	var url = baseURL + "/shendongApp/editJzyBook.php?actioncode=getCostDetail";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回格式数据
		type: 'post', //HTTP请求类型
		timeout: 8000, //超时时间设置为8秒；
		crossDomain: false,
		success: function(data) {

			var listData = data;
			var html = "";
			if(listData.length == 0) {
				var html = "";
				document.getElementById("data_list").innerHTML += "<div class='free_content_cost' style='text-align: center;' data-no='null'>没有费用</div>";
			} else {
				var tol_many_CNY = 0;
				var tol_many_USD = 0;
				var color;
				feedata = listData;
				for(var i = 0; i < listData.length; i++) {
					color = (listData[i].amttyp == '1' ? 'black' : 'red');
					if(listData[i].exg_currency == "CNY") //判断币种CNY人民币   USD美元
					{
						tol_many_CNY += Number(listData[i].bokunitprice) * Number(listData[i].bokacount);
					} else {
						tol_many_USD += Number(listData[i].bokunitprice) * Number(listData[i].bokacount);
					}

					html += "<div class='free_content_cost'  data-no='" + i + "'>" +
						"<div class='free_name_tab'>" + listData[i].ec_chnm + "</div>" //cornflowerblue;">事前 </span>  /<span  style="color: red;"
						+
						"<div class='free_momeny_tab' style='color:" + color + "' >" + listData[i].bokacount + "*" + listData[i].bokunitprice + "" + ((listData[i].exg_currency == "CNY") ? '￥' : '$') + "</div>" +
						"<div class='free_content_tab'>" + listData[i].amtsts_nm + "</div>" +
						"<div class='free_content_date' >" + (listData[i].crtdate == null ? '&nbsp;' : listData[i].crtdate) + "</div>" +
						"<div class='free_ticket_tab'>票</div>" +
						"</div>";
				}
				document.getElementById("data_list").innerHTML = document.getElementById("data_list").innerHTML + "" + html;
				document.getElementById("tol_many_CNY").innerHTML = tol_many_CNY + "&nbsp;￥";
				document.getElementById("tol_many_USD").innerHTML = tol_many_USD + "&nbsp;$";
			}
			plus.nativeUI.closeWaiting();
			plus.webview.currentWebview().show();
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			plus.webview.currentWebview().show();
			console.log("costListFee.html网络繁忙，请检查你的网络环境！");
		}
	});
}

function getShipVoyMbl(svmValue, booking_state) {
	if(svmValue && svmValue != null) {
		if(booking_state < 5) {
			return "";
		} else {
			return svmValue;
		}
	} else {
		return "";
	}
}
//点击单条详细费用操作
mui(".data_list").on("tap", '.free_content_cost', function() {
	var datano = "";
	if(this.getAttribute("data-no") != 'null') {
		datano = this.getAttribute("data-no").toString();
	}
	if(document.getElementsByName("colorFlg")[0]) {
		document.getElementsByName("colorFlg")[0].style.background = "#fff";
		document.getElementsByName("colorFlg")[0].removeAttribute("name");
	}
	this.setAttribute("name", "colorFlg");
	this.style.background = "lightgray";

	mui.openWindow({
		url: 'listFeedetail.html',
		id: 'listFeedetail.html',
		styles: {
			top: "0px",
			bottom: "0px"
		},
		show: {
			autoShow: true, //页面loaded事件发生后显示,默认true
			aniShow: "slide-in-right"
		},
		waiting: {
			autoShow: false, //默认显示等待对话框
			title: "马上就好啦..."
		},
		extras: {
			pagedata: pagedata,
			feedata: feedata[datano]
		}
	})
});