mui.init({
	swipeBack: true
});
var user_no; //用于判断用户是否登录
var adman_code;
var m_user_id;
var userInfo;
var endport_nm;
var transData;
mui.plusReady(function() {
	plus.nativeUI.closeWaiting();
	plus.webview.currentWebview().show("slide-in-right");
	baseURL = plus.storage.getItem("baseURL");
	if(plus.storage.getItem('personFlag') == "1") {
		adman_code = JSON.parse(plus.storage.getItem("userInfo")).adman_code;
		user_no = JSON.parse(plus.storage.getItem("userInfo")).user_no;
		m_user_id = JSON.parse(plus.storage.getItem("userInfo")).m_user_id;
	} else {
		adman_code = '';
		user_no = JSON.parse(plus.storage.getItem("userInfo_xs")).login_name;
		m_user_id = JSON.parse(plus.storage.getItem("userInfo_xs")).user_id;
	}
	var main = plus.webview.currentWebview();
	transData = main.transData;
	loadData(transData);
	getData();
});
var jsonData;
//该运价费用清单详细
function getData() {
	var url = baseURL + "/shendongApp/freight/editFreight.php?actioncode=getSolutionDetail";
	mui.ajax(url, {
		data: {
			freight_id: transData.freight_id,
			fromtype: "",
			endport_name: transData.endport_nm
		},
		dataType: 'json', //服务器返回   json格式数据
		type: 'post', //HTTP请求类型
		timeout: 8000, //超时时间设置为10秒；
		success: function(data) {
			jsonData = data;
			dealData(transData.jj_20gp, transData.jj_40gp, transData.jj_40hc, transData.num_20gp, transData.num_40gp, transData.num_40hc);
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			console.log("shareDetail数据加载失败");
		}
	});
}
//载入数据
function loadData(data) {
	document.getElementById("stport").innerText = data.stportnm;
	document.getElementById("endport").innerText = data.endportnm;
	document.getElementById("port").innerText = data.portarea;
	document.getElementById("guakao").innerText = data.guakao;
	document.getElementById("transport").innerText = data.ss_transport;
	document.getElementById("company").innerText = data.company;
	document.getElementById("ss_chedule").innerText = "周" + data.ss_schedule;
	document.getElementById("sd_date").innerText = data.sd_date;
	document.getElementById("voyage").innerText = data.voyage + "天";
}
var j = -1 //记录单票数量;
var RMB = 0;
var USD = 0;
//解析服务器返回的数据,生成费用清单列表
function dealData(jj_20gp, jj_40gp, jj_40hq, num_20gp, num_40gp, num_40hc) {
	document.getElementById("freightFee").innerHTML = "";
	data = jsonData.result.feelist;
	var length = data.length;
	for(var i = 0; i < length; i++) {
		var cell;
		var curencytyp;
		var price;
		if(data[i].curencytyp == "USD") {
			curencytyp = "$";
		} else {
			curencytyp = "￥";
		}
		if(data[i].feetype == "vote") {
			cell = "<div class=\"cost_list_detail_sale_unit\">" +
				"<div class=\"left_span\" >" + data[i].feename + ":</div><div class=\"right_span\"> (" +
				"<span id = >" + data[i].singvote + "</span>*" +
				"<span>1</span>)" +
				"=<b class=\"text_orange\">" + curencytyp + "" +
				"<span name=\"total_price\">" + data[i].singvote + "</span></b ></div>" +
				"</div></br>";
			if(curencytyp == "$") {
				USD = USD + Number(data[i].singvote);
			} else {
				RMB = RMB + Number(data[i].singvote);
			}
			document.getElementById("freightFee").innerHTML = document.getElementById("freightFee").innerHTML + cell;
		} else {
			j++;
			price = Number(num_20gp) * Number(Number(data[i].fee20) + Number(data[i].feename == "海运费" ? jj_20gp : 0)) +
				Number(num_40gp) * Number(Number(data[i].fee40) + Number(data[i].feename == "海运费" ? jj_40gp : 0)) +
				Number(num_40hc) * Number(Number(data[i].fee40hq) + Number(data[i].feename == "海运费" ? jj_40hq : 0))
			cell = "<div class=\"cost_list_detail_sale_unit\">" +
				"<div class=\"left_span\" name=>" + data[i].feename + ":</div><div class=\"right_span\"> (" +
				"<span name=\"price_20gp\">" + (num_20gp == 0 ? "" : (Number(data[i].fee20) + Number(data[i].feename == "海运费" ? jj_20gp : 0))) + "</span>" +
				"<span name=\"fee_20num\"\">" + (num_20gp == 0 ? "" : '*' + num_20gp) + "</span>" +
				"<span>" + (Number(num_20gp) > 0 && (Number(num_40gp) > 0) ? '+' : "") + "</span>" +
				"<span>" + (num_40gp == 0 ? "" : (Number(data[i].fee40) + Number(data[i].feename == "海运费" ? jj_40gp : 0))) + "</span>" +
				"<span name=\"fee_40num\">" + (num_40gp == 0 ? "" : '*' + num_40gp) + "</span>" +
				"<span>" + (Number(num_40hc) > 0 && (Number(num_20gp) > 0 || Number(num_40gp) > 0) ? '+' : "") + "</span>" +
				"<span>" + (num_40hc == 0 ? "" : (Number(data[i].fee40hq) + Number(data[i].feename == "海运费" ? jj_40hq : 0))) + "</span>" +
				"<span name=\"fee_40hqnum\">" + (num_40hc == 0 ? "" : '*' + num_40hc) + "</span>)" +
				"=<b class=\"text_orange\">" + curencytyp + "" +
				"<span name=\"total_price\" id=" + j + " >" + price + "</span></b ></div>" +
				"</div></br>";
			if(curencytyp == "$") {
				USD = USD + price;
			} else {
				RMB = RMB + price;
			}
			document.getElementById("freightFee").innerHTML = document.getElementById("freightFee").innerHTML + cell;
		}
	}
	document.getElementById("totalRMB").innerText = RMB;
	document.getElementById("totalDollar").innerText = USD;
	document.getElementById("rate").innerText = jsonData.result.rate.usdtocny; //汇率
	//人民币总价
	document.getElementById("money").innerText = (Number(RMB) + Number(Number(USD) * Number(jsonData.result.rate.usdtocny))).toFixed(2);
	//登录之后
	if(user_no) {
		if(plus.storage.getItem("personFlag") == "1") {
			userInfo = JSON.parse(plus.storage.getItem("userInfo"));
			var userInfo2 = JSON.parse(plus.storage.getItem("userInfo2"));
			if(userInfo2) {
				document.getElementById("adman_link").innerText = (userInfo2.user_name == null ? "" : userInfo2.user_name);
				document.getElementById("adman_telno").innerText = (userInfo2.phone == null ? "" : userInfo2.phone);
			}
		} else {
			document.getElementById("adman_link").innerText = "-";
			document.getElementById("adman_telno").innerText = "-";
		}
	} else {
		//未登录
	}
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
		plus.webview.currentWebview().show();
	}, 30)
}
//拨打电话
document.querySelector(".tel").addEventListener("tap", function() {
	var tel = userInfo.servicetel;
	if(tel) {
		plus.device.dial(tel, false); //true为显示拨打电话页面	
	}
});