var baseURL;
var subpages;
var activeTab = "";
mui.plusReady(function() {
	plus.webview.currentWebview().setStyle({
		"popGesture": "none"
	});
	baseURL = plus.storage.getItem("baseURL");
	var user = plus.storage.getItem("remember_no");
	var pas = plus.storage.getItem("password");
	if(plus.storage.getItem("personFlag") == "2") {
		document.getElementById("home").href = "jzy/nav/home_xs.html";
		document.getElementById("my").href = "jzy/nav/my_xs.html";
	}
	if(plus.storage.getItem("personFlag") == "1") {
		subpages = ['jzy/nav/home.html', 'jzy/bill2.html', 'jzy/news.html', 'jzy/nav/my.html'];
	} else { //销售
		subpages = ['jzy/nav/home_xs.html', 'jzy/bill2.html', 'jzy/news.html', 'jzy/nav/my_xs.html'];
	}
	creatHome(); //创建首页
	activeTab = subpages[0];
	setTimeout(function() {
		checkVersion();
	}, 2000);
	//退出应用
	if(mui.os.android) {
		let first = null;
		mui.back = function() {
			if(!first) {
				first = new Date().getTime();
				setTimeout(function() {
					first = null;
				}, 1000);
			} else {
				if(new Date().getTime() - first < 1000) {
					plus.runtime.quit();
				}
			}
		};
	}
});
//客户
var subpage_style = {
	top: '0px',
	bottom: '50px'
};
//创建子页面，首个选项卡页面显示，其它均隐藏；
//首页预加载页面
function creatHome() {
	var self = plus.webview.currentWebview();
	for(var i = 0; i < 4; i++) {
		var temp = {};
		var sub = plus.webview.create(subpages[i], subpages[i], subpage_style);
		if(i > 0) {
			setTimeout(function() {
				sub.hide();
			}, 10);
		}
		self.append(sub);
	}
	plus.webview.show(subpages[0]);
}
//当前激活选项

//选项卡点击事件
mui('.mui-bar-tab').on('tap', 'a', function(e) {
	var targetTab = this.getAttribute('href');
	if(targetTab == activeTab) {
		return false;
	}
	plus.webview.show(targetTab, "fade-in", 300);
	//隐藏当前;
	plus.webview.hide(activeTab);
	//更改当前活跃的选项卡
	activeTab = targetTab;
});

//检查新版本
function checkVersion() {
	var url = baseURL + "/shendongApp/editTool.do?actioncode=checkAppVersion";
	var system = "";
	system = mui.os.android ? "andriod" : "ios";
	var data = {
		system: system,
		appname: "jidatong"
	};
	mui.ajax(url, {
		dataType: 'json', //服务器返回json格式数据
		data: data,
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data) {
				plus.runtime.getProperty(plus.runtime.appid, function(inf) {
					var wgtVer = inf.version; //当前手机版本
					if(data.version > wgtVer) { //若数据库最新型号大于本地型号
						mui.openWindow({
							url: "newVersion.html",
							id: "newVersion.html",
							show: {
								aniShow: "fade-in"
							},
							extras: {
								data: data.description,
								num: data.num,
								url: data.url,
								nowupdate: data.nowupdate
							}
						});
					}
				});
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log("检查新版本错误");
		}
	});
}