		var shares = null;
		var Intent = null,
			File = null,
			Uri = null,
			main = null;
		var sharehref = "";
		var sharehrefTitle = "";
		var sharehrefDes = "";

		mui.plusReady(function() {
			plusReady();
		});
		//设置分享的具体数据
		function setShareInfo(hrefInfo,titleInfo,desInfo){
			sharehref = hrefInfo;//链接地址
			sharehrefTitle = titleInfo;//标题
			sharehrefDes = desInfo;//内容
		}
		// H5 plus事件处理
		function plusReady() {
			updateSerivces();
			if(mui.os.android) {
				main = plus.android.runtimeMainActivity();
				Intent = plus.android.importClass("android.content.Intent");
				File = plus.android.importClass("java.io.File");
				Uri = plus.android.importClass("android.net.Uri");
			} 
		}
		/**
		 * 更新分享服务
		 */
		function updateSerivces() {
			plus.share.getServices(function(s) {
				shares = {};
				for(var i in s) {
					var t = s[i];
					shares[t.id] = t;
				}
			}, function(e) {
				outSet("获取分享服务列表失败：" + e.message);
			});
		}

		/**
		 * 分享操作
		 * @param {JSON} sb 分享操作对象s.s为分享通道对象(plus.share.ShareService)
		 * @param {Boolean} bh 是否分享链接
		 */
		function shareAction(sb, bh,shareFlag,param) {
			if(!sb || !sb.s) {
				outLine("无效的分享服务！");
				return;
			}
			var msg = {
				content: "内容",
				extra: {
					scene: sb.x
				}
			};
			if(bh) {
				msg.href = sharehref;
				if(sharehrefTitle && sharehrefTitle.value != "") {
					msg.title = sharehrefTitle;
				}
				if(sharehrefDes && sharehrefDes.value != "") {
					msg.content = sharehrefDes;
				}
			} else {
				if(pic && pic.realUrl) {
					msg.pictures = [pic.realUrl];
				}
			}
			// 发送分享
			if(sb.s.authenticated) {
				shareMessage(msg, sb.s);
			} else {
				sb.s.authorize(function() {
					shareMessage(msg, sb.s);
				}, function(e) {});
			}
			if(shareFlag=="share"){
				addShareFreight(param);				
			}
		}
		//记录分享的运价
		function addShareFreight(param){
			var url = baseURL+"/shendongApp/freight/editFreight.do?actioncode=addShareFreight";
			mui.ajax(url,{
				data:{
					freight_id:freight_id,
					userid:user_no,
					jj_20gp:sharejj_20gp,
					jj_40gp:sharejj_40gp,
					jj_40hc:sharejj_40hc,
					num_20gp:$("#num_20gp").text(),
					num_40gp:$("#num_40gp").text(),
					num_40hc:$("#num_40hq").text(),
					targetperson_num:param,
					endport_nm:$("#endport").text()
				},
				dataType:'string',//服务器返回json格式数据
				type:'post',//HTTP请求类型
				timeout:10000,//超时时间设置为10秒；
				success:function(data){
					console.log("运价分享添加成功");
				},
				error:function(xhr,type,errorThrown){
					console.log("运价分享添加失败");
				}
			});
		}
		/**
		 * 发送分享消息
		 * @param {JSON} msg
		 * @param {plus.share.ShareService} s\
		 */
		function shareMessage(msg, s) {
			s.send(msg, function() {}, function(e) {});
		}
		// 拍照添加图片分享
		function shareCameraPicture() {
			var cmr = plus.camera.getCamera();
			cmr.captureImage(function(p) {
				plus.io.resolveLocalFileSystemURL(p, function(entry) {
					pic.src = entry.toLocalURL();
					pic.realUrl = p;
				}, function(e) {});
			}, function(e) {});
		}
		// 从相册添加图片分享
		function shareGalleryPicture() {
			plus.gallery.pick(function(p) {
				// 从相册返回的路径不需要转换可以直接使用
				pic.src = p;
				pic.realUrl = pic.src;
			});
		}
		// 打开分享
		function shareShow() {
			var shareBts = [];
			// 更新分享列表
			var ss = shares['weixin'];
			if(navigator.userAgent.indexOf('StreamApp') < 0 && navigator.userAgent.indexOf('qihoo') < 0) { //在360流应用中微信不支持分享图片
				ss && ss.nativeClient && (shareBts.push({
						title: '微信朋友圈',
						s: ss,
						x: 'WXSceneTimeline'
					}),
					shareBts.push({
						title: '微信好友',
						s: ss,
						x: 'WXSceneSession'
					}));
			}
			/*	ss = shares['sinaweibo'];
				ss && shareBts.push({
					title: '新浪微博',
					s: ss
				});
				ss = shares['qq'];
				ss && ss.nativeClient && shareBts.push({
					title: 'QQ',
					s: ss
				});*/
			// 弹出分享列表
			shareBts.length > 0 ? plus.nativeUI.actionSheet({
				title: '分享',
				cancel: '取消',
				buttons: shareBts
			}, function(e) {
				(e.index > 0) && shareAction(shareBts[e.index - 1], false);
			}) : plus.nativeUI.alert('当前环境无法支持分享操作!');
		}
		// 分享链接
		function shareHref(shareFlag,param) {
			var shareBts = [];
			// 更新分享列表
			var ss = shares['weixin'];
			ss && ss.nativeClient && (shareBts.push({
					title: '微信朋友圈',
					s: ss,
					x: 'WXSceneTimeline'
				}),
				shareBts.push({
					title: '微信好友',
					s: ss,
					x: 'WXSceneSession'
				}));
			/*	ss = shares['qq'];
				ss && ss.nativeClient && shareBts.push({
					title: 'QQ',
					s: ss
				});
			*/ // 弹出分享列表
			shareBts.length > 0 ? plus.nativeUI.actionSheet({
				title: '分享链接',
				cancel: '取消',
				buttons: shareBts
			}, function(e) {
				(e.index > 0) && shareAction(shareBts[e.index - 1], true,shareFlag,param);
			}) : plus.nativeUI.alert('当前环境无法支持分享链接操作!');
		}