mui.init({
	swipeBack: true
});

var user_no; //用于判断用户是否登录
var adman_code;
var freight_id;
var cost_collect_id;
var m_user_id;
var userInfo;
mui.plusReady(function() {
	baseURL = plus.storage.getItem("baseURL");
	if(plus.storage.getItem('personFlag') == "1") {
		adman_code = JSON.parse(plus.storage.getItem("userInfo")).adman_code;
		user_no = JSON.parse(plus.storage.getItem("userInfo")).user_no;
		m_user_id = JSON.parse(plus.storage.getItem("userInfo")).m_user_id;
	} else {
		adman_code = '';
		user_no = JSON.parse(plus.storage.getItem("userInfo_xs")).login_name;
		m_user_id = JSON.parse(plus.storage.getItem("userInfo_xs")).user_id;
	}
	//接收上个页面参数
	var self = plus.webview.currentWebview();
	var data = self.data;
	freight_id = data.freight_id;
	cost_collect_id = data.cost_collect_id;
	//预先判断该运价是否收藏
	if(data.cost_select_flag == "yes") {
		//				document.getElementById("select").className = "mui-icon mui-icon-star-filled mui-pull-right";
		document.getElementById("select").style.color = "red";
		document.getElementById("select").name = "selected";
		document.getElementById("select").innerText = "该运价已收藏";
	} else if(data.cost_select_flag == "no") {
		//空
	}
	var uuid = plus.device.uuid; //获取设备唯一标识
	var result = data.transData;
	loadData(data);
	jsonData = result;
	dealData(0, 0, 0);
});
//点击分享链接操作
$("#share").bind("tap", function() {
	var shareUrl = baseURL + "/shendongApp/freight/editFreight.do?actioncode=getSolutionDetail&freight_id=" + freight_id + "&fromtype=share&endport_name=" + ($('#endport').text()) + "&num20gp=" + ($('#num_20gp').text().trim()) + "&num40gp=" + ($('#num_40gp').text().trim()) + "&num40hq=" + ($('#num_40hq').text().trim()) + "";
	var shareTitle = $("#stport").text() + "到" + $("#endport").text() + "运价";
	var shareText = $("#company").text() + "的运价详情分享";
	plus.nativeUI.prompt("分享的对象姓名", function(e) {
		if(e.index == 1) {
			setShareInfo(shareUrl, shareTitle, shareText);
			shareHref("share", e.value == null ? "" : e.value);
		} else {
			setShareInfo(shareUrl, shareTitle, shareText);
			shareHref();
		}
	}, "", "填写后智能记录该运价以及分享的用户", ["跳过", "确定"])
});
//载入数据
function loadData(data) {
	document.getElementById("stport").innerText = data.stportnm;
	document.getElementById("endport").innerText = data.endportnm;
	document.getElementById("port").innerText = data.portarea;
	document.getElementById("guakao").innerText = data.guakao;
	document.getElementById("transport").innerText = data.ss_transport;
	document.getElementById("company").innerText = data.company;
	document.getElementById("ss_chedule").innerText = "周" + data.ss_schedule;
	document.getElementById("sd_date").innerText = data.sd_date;
	//			document.getElementById("portarea").innerText = data.guakao;
	document.getElementById("voyage").innerText = data.voyage + "天";
}
var baseURL;
var jsonData;
var data;
var j = -1; //记录非单票的数量
var RMB = 0;
var USD = 0;
var openflg = true; //打开数量栏标识
var openflg_1 = true; //打开数量栏标识
//解析服务器返回的数据,生成费用清单列表
function dealData(jj_20gp, jj_40gp, jj_40hq) {
	document.getElementById("freightFee").innerHTML = "";
	var length;
	data = jsonData.result.feelist;
	length = data.length;
	for(var i = 0; i < length; i++) {
		var cell;
		var curencytyp;
		var price;
		if(data[i].curencytyp == "USD") {
			curencytyp = "$";
		} else {
			curencytyp = "￥";
		}

		if(data[i].feetype == "vote") {
			cell = "<div class=\"cost_list_detail_sale_unit\">" +
				"<div class=\"left_span\" >" + data[i].feename + ":</div><div class=\"right_span\"> (" +
				"<span id = >" + data[i].singvote + "</span>*" +
				"<span>1</span>)" +
				"=<b class=\"text_orange\">" + curencytyp + "" +
				"<span name=\"total_price\">" + data[i].singvote + "</span></b ></div>" +
				"</div></br>";
			if(curencytyp == "$") {
				USD = USD + Number(data[i].singvote);
			} else {
				RMB = RMB + Number(data[i].singvote);
			}
			document.getElementById("freightFee").innerHTML = document.getElementById("freightFee").innerHTML + cell;
		} else {
			j++;
			price = Number(document.getElementById("num_20gp").innerText) * (Number(data[i].fee20) + Number(data[i].feename == "海运费" ? jj_20gp : 0)) +
				Number(document.getElementById("num_40gp").innerText) * (Number(data[i].fee40) + Number(data[i].feename == "海运费" ? jj_40gp : 0)) +
				Number(document.getElementById("num_40hq").innerText) * (Number(data[i].fee40hq) + Number(data[i].feename == "海运费" ? jj_40hq : 0))
			cell = "<div class=\"cost_list_detail_sale_unit\">" +
				"<div class=\"left_span\" name=>" + data[i].feename + ":</div><div class=\"right_span\"> (" +
				"<span name=\"price_20gp\">" + (document.getElementById("num_20gp").innerText == "0" ? "" : (Number(data[i].fee20) + Number(data[i].feename == "海运费" ? jj_20gp : 0))) + "</span>" +
				"<span name=\"fee_20num\"\">" + (document.getElementById("num_20gp").innerText == "0" ? "" : '*' + document.getElementById("num_20gp").innerText) + "</span>" +
				"<span>" + (Number(document.getElementById("num_20gp").innerText) > 0 && (Number(document.getElementById("num_40gp").innerText) > 0) ? '+' : "") + "</span>" +
				"<span>" + (document.getElementById("num_40gp").innerText == "0" ? "" : (Number(data[i].fee40) + Number(data[i].feename == "海运费" ? jj_40gp : 0))) + "</span>" +
				"<span name=\"fee_40num\">" + (document.getElementById("num_40gp").innerText == "0" ? "" : '*' + document.getElementById("num_40gp").innerText) + "</span>" +
				"<span>" + (Number(document.getElementById("num_40hq").innerText) > 0 && (Number(document.getElementById("num_20gp").innerText) > 0 || Number(document.getElementById("num_40gp").innerText) > 0) ? '+' : "") + "</span>" +
				"<span>" + (document.getElementById("num_40hq").innerText == "0" ? "" : (Number(data[i].fee40hq) + Number(data[i].feename == "海运费" ? jj_40hq : 0))) + "</span>" +
				"<span name=\"fee_40hqnum\">" + (document.getElementById("num_40hq").innerText == "0" ? "" : '*' + document.getElementById("num_40hq").innerText) + "</span>)" +
				"=<b class=\"text_orange\">" + curencytyp + "" +
				"<span name=\"total_price\" id=" + j + " >" + price + "</span></b ></div>" +
				"</div></br>";
			if(curencytyp == "$") {
				USD = USD + price;
			} else {
				RMB = RMB + price;
			}
			document.getElementById("freightFee").innerHTML = document.getElementById("freightFee").innerHTML + cell;
		}
	}
	document.getElementById("totalRMB").innerText = RMB;
	document.getElementById("totalDollar").innerText = USD;
	document.getElementById("rate").innerText = jsonData.result.rate.usdtocny; //汇率
	//人民币总价
	document.getElementById("money").innerText = (Number(RMB) + Number(Number(USD) * Number(jsonData.result.rate.usdtocny))).toFixed(2);

	//登录之后
	if(user_no) {
		document.getElementById("mycus").style.display = "";
		document.getElementById("xj").style.display = "none";
		if(plus.storage.getItem("personFlag") == "1") {
			userInfo = JSON.parse(plus.storage.getItem("userInfo"));
			var userInfo2 = JSON.parse(plus.storage.getItem("userInfo2"));
			if(userInfo2) {
				document.getElementById("adman_link").innerText = (userInfo2.user_name == null ? "" : userInfo2.user_name);
				document.getElementById("adman_telno").innerText = (userInfo2.phone == null ? "" : userInfo2.phone);
			}
		} else {
			document.getElementById("adman_link").innerText = "-";
			document.getElementById("adman_telno").innerText = "-";
		}
	} else {
		//未登录
		document.getElementById("mycus").style.display = "none";
		document.getElementById("xj").style.display = "";
	}
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
		plus.webview.currentWebview().show();
	}, 30)
}

//箱量变化
mui(".cost_type_unit_write").on("tap", "div", function() {
	var name = this.getAttribute("name");
	var parent = this.parentNode;
	var childs = parent.children;
	var value = childs[1].innerText;
	var id = this.parentNode.id;
	var tempNode;
	var jj_20gp = document.getElementById("jj_20gp").value;
	var jj_40gp = document.getElementById("jj_40gp").value;
	var jj_40hq = document.getElementById("jj_40hq").value;
	if(jj_20gp == null) {
		jj_20gp = 0;
	}
	if(jj_40gp == null) {
		jj_40gp = 0;
	}
	if(jj_40hq == null) {
		jj_40hq = 0;
	}
	if(name == "sub") {
		if(parseInt(value) > 0) {
			var result = parseInt(value) - 1; //result为加减选择后的数量
			childs[1].innerHTML = result;
			USD = 0;
			RMB = 0;
		}
	} else { //name=="add"
		var result = parseInt(value) + 1;
		childs[1].innerHTML = result;
		USD = 0;
		RMB = 0;
	}
	dealData(jj_20gp, jj_40gp, jj_40hq);
	dealExtraXL(); //处理仓储和拖车的箱量变化
	count();
});

//收藏运价
document.getElementById("select").addEventListener("tap", function() {
	if(user_no) {
		var flag = this.name;
		if(flag == "selected") { //运价已经被收藏过了,则该操作为取消收藏
			collectOp(freight_id, "1", "sub", cost_collect_id);
		} else if(flag == "") { //运价未被收藏,该操作为添加收藏
			collectOp(freight_id, "1", "add", cost_collect_id);
		}
	} else {
		plus.nativeUI.toast("登录后可收藏~");
	}
});
//发送收藏状态修改请求
function collectOp(freight_id, freight_type, optype, collect_id) {
	var url;
	var data = {
		m_user_id: m_user_id,
		freight_id: freight_id,
		freight_type: freight_type
	}
	if(optype == "add") {
		url = baseURL + "/shendongApp/freight/editFreight.do?actioncode=collectFreight";
	} else {
		url = baseURL + "/shendongApp/freight/editFreight.do?actioncode=calCollectFreight";
	}
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.msg == "success") {
				if(optype == "add") {
					setTimeout(function() {
						plus.nativeUI.toast("收藏成功~");
					}, 1);
					document.getElementById("select").style.color = "red";
					document.getElementById("select").name = "selected";
					document.getElementById("select").innerText = "该运价已收藏";
				} else {
					setTimeout(function() {
						plus.nativeUI.toast("取消成功~");
					}, 1);
					document.getElementById("select").style.color = "";
					document.getElementById("select").name = "";
					document.getElementById("select").innerText = "收藏该运价";
				}
			} else {
				setTimeout(function() {
					plus.nativeUI.toast("收藏失败!");
				}, 1)
			}
			var ws = plus.webview.getWebviewById("f_result_sub.html");
			mui.fire(ws, "f_refreshPlus");
			var ws2 = plus.webview.getWebviewById("collection_sub.html");
			mui.fire(ws2, "f_refreshPlus");
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络繁忙，请检查你的网络环境");
		}
	});
}
//增值服务详细

document.querySelector(".cost_detail_exchange_main_icon").addEventListener("tap", function() {
	var cost = document.querySelector(".cost_num");
	var contenet_button = document.querySelector(".cost_detail_exchange_main_icon");
	if(openflg) { //若数量栏打开
		contenet_button.innerHTML = '确定增值';
		cost.style.bottom = "5rem";
		cost.className = "cost_num costchange";
		openflg = false;
	} else { //进行兑换
		var cost = document.querySelector(".cost_num");
		contenet_button.innerHTML = '增值服务';
		cost.style.bottom = "-45rem";
		cost.className = "cost_num costchangebottom";
		openflg = true;
	}
});
//处理增值服务箱量变化
function dealExtraXL() {
	if(document.getElementById("tuoche_id_left")) {
		extraRMB = Number(extraRMB) - Number(tuocheMoney);
		tuocheMoney = Number(tuocheData.price_20gp) * Number(document.getElementById("num_20gp").innerText) +
			Number(tuocheData.price_40gp) * Number(document.getElementById("num_40gp").innerText) +
			Number(tuocheData.price_40gp) * Number(document.getElementById("num_40hq").innerText);
		extraRMB = Number(extraRMB) + tuocheMoney;

		var childNode = "(" + (document.getElementById("num_20gp").innerText != '0' ? tuocheData.price_40gp + "*<span id='tuoche_40gp_num'>" +
				document.getElementById("num_20gp").innerText + "</span>" : '') +
			((document.getElementById("num_40gp").innerText != '0') ? "+" + tuocheData.price_40gp + "*<span id='tuoche_40gp_num'>" +
				document.getElementById("num_40gp").innerText + "</span>" : '') +
			((document.getElementById("num_40hq").innerText != '0') ? "+" + tuocheData.price_40gp + "*<span id='tuoche_40gp_num'>" +
				document.getElementById("num_40hq").innerText + "</span>" : '') + ")=<b class='text_orange'>￥<span class='total_price' id='tuoche_money'>" +
			tuocheMoney + "</span></b>";
		document.getElementById("tuoche_id_right").innerHTML = childNode;
	}
	if(document.getElementById("cangchu_id_left")) {

		extraRMB = Number(extraRMB) - Number(cangchuMoney);
		cangchuMoney = Number(cangchuData.price_20gp) * Number(document.getElementById("num_20gp").innerText) +
			Number(cangchuData.price_40gp) * Number(document.getElementById("num_40gp").innerText) +
			Number(cangchuData.price_40gp) * Number(document.getElementById("num_40hq").innerText);
		extraRMB = Number(extraRMB) + cangchuMoney;

		var childNode = "(" + ((document.getElementById("num_20gp").innerText != '0') ? cangchuData.price_20gp + "*<span id='cangchu_20gp_num'>" +
				document.getElementById("num_20gp").innerText + "</span> " : '') +
			((document.getElementById("num_40gp").innerText != '0') ? "+" + cangchuData.price_40gp + "*<span id='cangchu_40gp_num'>" +
				document.getElementById("num_40gp").innerText + "</span>" : '') +
			((document.getElementById("num_40hq").innerText != '0') ? "+" + cangchuData.price_40gp + "*<span id='cangchu_40hq_num'>" +
				document.getElementById("num_40hq").innerText + "</span>" : '') + ")=<b class='text_orange'>￥<span class='total_price' id='cangchu_money'>" + cangchuMoney + "</span></b>";
		document.getElementById("cangchu_id_right").innerHTML = childNode;
	}
}

//添加增值服务节点
function appendEle() {
	if(tuocheFlag == "1") {
		if(document.getElementById("tuoche_id_left")) {} else {
			var childNode = "<div class='left_span' id='tuoche_id_left'>拖车费：</div><div id='tuoche_id_right' class='right_span'>(" +
				(document.getElementById("num_20gp").innerText != '0' ? tuocheData.price_40gp + "*<span id='tuoche_40gp_num'>" +
					document.getElementById("num_20gp").innerText + "</span>" : '') +
				((document.getElementById("num_40gp").innerText != '0') ? "+" + tuocheData.price_40gp + "*<span id='tuoche_40gp_num'>" +
					document.getElementById("num_40gp").innerText + "</span>" : '') +
				((document.getElementById("num_40hq").innerText != '0') ? "+" + tuocheData.price_40gp + "*<span id='tuoche_40gp_num'>" +
					document.getElementById("num_40hq").innerText + "</span>" : '') +
				")=<b class='text_orange'>￥<span class='total_price' id='tuoche_money'>" + tuocheMoney + "</span></b></div>";
			document.getElementById("extraFee").innerHTML = document.getElementById("extraFee").innerHTML + childNode;
			if(tuocheMoney == 0) {
				document.getElementById("tuoche_id_right").innerHTML = "<b class='text_orange'>￥0</b>"
			}
		}
	}
	if(cangchuFlag == "1") {
		if(document.getElementById("cangchu_id_left")) {} else {
			var childNode = "<div class='left_span' id='cangchu_id_left'>仓储费：</div><div id='cangchu_id_right' class='right_span'>(" +
				((document.getElementById("num_20gp").innerText != '0') ? cangchuData.price_20gp + "*<span id='cangchu_20gp_num'>" +
					document.getElementById("num_20gp").innerText + "</span> " : '') +
				((document.getElementById("num_40gp").innerText != '0') ? "+" + cangchuData.price_40gp + "*<span id='cangchu_40gp_num'>" +
					document.getElementById("num_40gp").innerText + "</span>" : '') +
				((document.getElementById("num_40hq").innerText != '0') ? "+" + cangchuData.price_40gp + "*<span id='cangchu_40hq_num'>" +
					document.getElementById("num_40hq").innerText + "</span>" : '') +
				")=<b class='text_orange'>￥<span class='total_price' id='cangchu_money'>" + cangchuMoney + "</span></b></div>";
			document.getElementById("extraFee").innerHTML = document.getElementById("extraFee").innerHTML + childNode;
		}
		if(cangchuMoney == 0) {
			document.getElementById("cangchu_id_right").innerHTML = "<b class='text_orange'>￥0</b>"
		}
	}
	if(baoxianFlag == "1") {
		if(document.getElementById("baoxian_id_left")) {} else {
			var childNode = "<div class='left_span' id='baoxian_id_left'>保险费：</div><div id='baoxian_id_right' class='right_span'><b class='text_orange' id='baoxian_type'>" + baoxianData.moneyType + "<span class='total_price' id='baoxian_money'>" + baoxianData.total_price + "</span></b></div>";
			document.getElementById("extraFee").innerHTML = document.getElementById("extraFee").innerHTML + childNode;
		}
	}
	if(baoguanFlag == "1") {
		if(document.getElementById("baoguan_id_left")) {} else {
			var childNode = "<div class='left_span' id='baoguan_id_left'>报关费：</div><div id='baoguan_id_right' class='right_span'><b class='text_orange' id='baoguan_type'>￥<span class='total_price' id='baoguan_money'>" + baoguanMoney + "</span></b></div>";
			document.getElementById("extraFee").innerHTML = document.getElementById("extraFee").innerHTML + childNode;
		}
	}
}
var tuocheMoney = 0;
var cangchuMoney = 0;
var baoxianMoney = 0;
var baoguanMoney = 0;
//是否显示增值服务的标志，0为隐藏，1为显示
var tuocheFlag = "0";
var cangchuFlag = "0";
var baoxianFlag = "0";
var baoguanFlag = "0";

var extraRMB = 0;
//添加增值服务后的计算
function count() {
	document.getElementById("totalRMB").innerText = Number(extraRMB) + Number(RMB);
	document.getElementById("money").innerText = (Number(extraRMB) + Number(RMB) + Number(USD) * Number(document.getElementById("rate").innerText)).toFixed(2);
}
//监听是增值服务里选项
function change(obj) {
	var num_20gp = document.getElementById("num_20gp").innerText;
	var num_40gp = (Number(document.getElementById("num_40gp").innerText) + Number(document.getElementById("num_40hq").innerText)).toFixed(0);
	//添加报关
	if(obj.id == "baoguan") {
		if(obj.checked) {
			modifyCheck("baoguanCheck", "show");
			baoguanMoney = 100;
			if(document.getElementById("stport").innerText == "青岛") {
				baoguanMoney = 150;
			} else if(document.getElementById("stport").innerText == "天津") {
				baoguanMoney = 150;
			}
			baoguanFlag = "1";
			appendEle();
			extraRMB = Number(extraRMB) + Number(baoguanMoney);
			count();
		} else {
			//取消报关
			modifyCheck("baoguanCheck", "hide");
			removeEle("baoguan_id_left", "baoguan_id_right");
			extraRMB = Number(extraRMB) - Number(baoguanMoney);
			count();
			baoguanFlag = "0";
			baoguanMoney = 0;
		}
	}
	//添加保险
	if(obj.id == 'baoxian') {
		if(obj.checked) {
			modifyCheck("baoxianCheck", "show");
			let bxData = {
				from: "cost"
			}
			openWindow("insurance.html", bxData);
		} else {
			//取消保险
			baoxianFlag = "0";
			modifyCheck("baoxianCheck", "hide");
			removeEle("baoxian_id_left", "baoxian_id_right");
			extraRMB = Number(extraRMB) - Number(baoxianMoney);
			count();
			baoxianMoney = 0;
		}
	}
	//添加仓储内装箱,(预加载传递参数无效)
	if(obj.id == "cangchu") {
		if(obj.checked) {
			document.getElementById("tuoche_area").style.display = "none";
			document.getElementById("tuoche_area2").style.display = "none";
			document.getElementById("tuoche_area").innerText = "";
			document.getElementById("tuoche_area2").innerText = "";
			modifyCheck("cangchuCheck", "show");
			modifyCheck("mendianCheck", "hide");
			if(document.getElementById("tuoche_id_left")) { //若拖车之前存在
				document.getElementById("tuoche").checked = false;
				extraRMB = Number(extraRMB) - Number(tuocheMoney);
				count();
				removeEle("tuoche_id_left", "tuoche_id_right");
				tuocheFlag = "0";
			}
			var requestSport = document.getElementById("stport").innerText;
			let transdata = {
				from: "cost",
				requestSport: requestSport,
				num_20gp: num_20gp,
				num_40gp: num_40gp
			}
			openWindow("warehousing.html", transdata);
		} else {
			//取消仓储
			extraRMB = Number(extraRMB) - Number(cangchuMoney);
			count();
			cangchuFlag = "0";
			modifyCheck("cangchuCheck", "hide");
			removeEle("cangchu_id_left", "cangchu_id_right");
			cangchuMoney = 0;
		}
	}

	//添加拖车门点装箱
	if(obj.id == 'tuoche') {
		if(obj.checked) {
			document.getElementById("tuoche_area").style.display = "";
			document.getElementById("tuoche_area2").style.display = "";
			modifyCheck("mendianCheck", "show");
			modifyCheck("cangchuCheck", "hide");
			if(document.getElementById("cangchu_id_left")) { //若仓储之前存在
				document.getElementById("cangchu").checked = false;
				extraRMB = Number(extraRMB) - Number(cangchuMoney);
				count();
				removeEle("cangchu_id_left", "cangchu_id_right");
				cangchuFlag = "0";
			}
			var requestSport = document.getElementById("stport").innerText;
			if(requestSport == '上海' || requestSport == '天津' || requestSport == '宁波') {
				let ccData = {
					from: "cost",
					requestSport: requestSport, //修改拖车出运港默认值
					num_20gp: num_20gp,
					num_40gp: num_40gp
				};
				openWindow("trailer.html", ccData);
			} else {
				plus.nativeUI.toast("您所选择的起始港没有拖车");
				return false;
			}
		} else {
			//取消拖车
			extraRMB = Number(extraRMB) - Number(tuocheMoney);
			tuocheFlag = "0";
			modifyCheck("mendianCheck", "hide");
			removeEle("tuoche_id_left", "tuoche_id_right");
			count();
			tuocheMoney = 0;
			document.getElementById("tuoche_area").style.display = "none";
			document.getElementById("tuoche_area2").style.display = "none";
		}
	}

}

//取消复选框时移除节点
function removeEle(divIdLeft, divIdRight) {
	document.getElementById("extraFee").removeChild(document.getElementById(divIdLeft));
	document.getElementById("extraFee").removeChild(document.getElementById(divIdRight));
}
//更改基本信息里的复选框提示
function modifyCheck(checkid, option) {
	if(option == "hide") { //隐藏复选框
		document.getElementById(checkid).setAttribute("hidden", "hidden");
	} else { //展示选中
		document.getElementById(checkid).removeAttribute("hidden");
	}
}

//添加保险返回事件
var baoxianData;
window.addEventListener("addBx", function(event) {
	baoxianData = event.detail.target;
	var myselect = document.getElementById("moneyType"); //当前页面选择框
	//设置复选框里面保险类型和金额的值
	for(var i = 0; i < myselect.options.length; i++) {
		if(myselect.options[i].text == baoxianData.moneyType) {
			myselect.options[i].selected = true;
			document.getElementById("bxje").value = baoxianData.money;
		}
	}
	baoxianFlag = "1";
	appendEle();
	baoxianMoney = baoxianData.total_price;
	extraRMB = Number(extraRMB) + Number(baoxianMoney);
	count();
});
var tuocheData;
//添加拖车返回事件
window.addEventListener("addTc", function(event) {
	tuocheFlag = "1";
	tuocheData = event.detail.target;
	document.getElementById("city_name").value = tuocheData.mendian;
	document.getElementById("tuoche_area").innerText = tuocheData.mendian.substring(0, tuocheData.mendian.indexOf("-")) + "--";
	document.getElementById("tuoche_area2").innerText = tuocheData.mendian.substring(tuocheData.mendian.indexOf("-") + 1) + "---";
	tuocheMoney = tuocheData.total_price;
	extraRMB = Number(extraRMB) + Number(tuocheMoney);
	appendEle();
	count();
});
var cangchuData;
//添加仓储返回事件
window.addEventListener("addCc", function(event) {
	cangchuFlag = "1";
	cangchuData = event.detail.target;
	cangchuMoney = cangchuData.total_price;
	appendEle();
	extraRMB = Number(extraRMB) + Number(cangchuMoney);
	count();
});
//打开附加业务窗口
function openWindow(openurl, opendata) {
	mui.openWindow({
		url: openurl,
		id: openurl,
		extras: opendata,
		show: {
			aniShow: "slide-in-bottom"
		}
	})
}
//拨打电话
document.querySelector(".tel").addEventListener("tap", function() {
	var tel = userInfo.servicetel;
	if(tel) {
		plus.device.dial(tel, false); //true为显示拨打电话页面	
	}
});

//我要询价
document.getElementById("xj").addEventListener("tap", function() {
	plus.webview.open("login.html");
});

//底部按钮切换功能
document.getElementById("toggle").addEventListener("tap", function() {
	if(this.className == "index_gold_main_seecan") {
		document.getElementById("zengzhi").style.display = "none";
		document.getElementById("jiajia").style.display = "none";
		this.className = "index_gold_main_seecanot";
	} else {
		document.getElementById("zengzhi").style.display = "";
		document.getElementById("jiajia").style.display = "";
		this.className = "index_gold_main_seecan";
	}
});

//我要加价功能实现
function confirmPrice() {
	if(jjFlag == "1") {
		USD = 0;
		RMB = 0;
		var jj_20gp = document.getElementById("jj_20gp").value;
		var jj_40gp = document.getElementById("jj_40gp").value;
		var jj_40hq = document.getElementById("jj_40hq").value;
		if(jj_20gp == "" || jj_20gp < 0) {
			jj_20gp = 0;
			document.getElementById("jj_20gp").value = 0;
		}
		if(jj_40gp == "" || jj_40gp < 0) {
			jj_40gp = 0;
			document.getElementById("jj_40gp").value = 0;
		}
		if(jj_40hq == "" || jj_40hq < 0) {
			jj_40hq = 0;
			document.getElementById("jj_40hq").value = 0;
		}
		dealData(jj_20gp, jj_40gp, jj_40hq);
		count();
	}
};

var jjFlag = "0";
var sharejj_20gp = 0,
	sharejj_40gp = 0,
	sharejj_40hc = 0;
//我要加价弹窗
document.querySelector(".cost_detail_exchange_main_icon_jiajia").addEventListener("tap", function() {
	confirmPrice();
	var cost = document.querySelector(".cost_num_1");
	var contenet_button = document.querySelector(".cost_detail_exchange_main_icon_jiajia");
	if(openflg_1) {
		contenet_button.innerHTML = '确认加价';
		cost.style.bottom = "5rem";
		cost.className = "cost_num_1 costchange";
		openflg_1 = false;
		jjFlag = "1";
		document.getElementById("jj_20gp").removeAttribute("readonly");
	} else { //进行兑换
		sharejj_20gp = $("#jj_20gp").val() ? 0 : $("#jj_20gp").val();
		sharejj_40gp = $("#jj_40gp").val() ? 0 : $("#jj_40gp").val();
		sharejj_40hc = $("#jj_40hq").val() ? 0 : $("#jj_40hq").val();
		contenet_button.innerHTML = '我要加价';
		cost.style.bottom = "-25rem";
		cost.className = "cost_num_1 costchangebottom";
		openflg_1 = true;
		jjFlag = "0";
		document.getElementById("jj_20gp").setAttribute("readonly", "readonly");
	}
});