mui.init({
	swipeBack: true //启用右滑关闭功能
});
var network = true;
var baseURL;
//判断手机网络情况
if(mui.os.plus) {
	mui.plusReady(function() {
		if(plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
			network = false;
		}
		uuid = plus.device.uuid;
		baseURL = plus.storage.getItem("baseURL");
	});
}
//获取要注册的数据
var chnm;
var contman;
var custel;
//正则表达式
//发送请求的注册按钮点击事件
document.getElementById("reg").addEventListener('tap', function() {
	chnm = document.getElementById("chnm").value;
	contman = document.getElementById("contman").value;
	custel = document.getElementById("custel").value;
	if(chnm.length < 2) {
		plus.ui.toast("公司名太短啦~");
	} else if(custel.length < 7) {
		plus.ui.toast("联系电话格式不对噢");
	} else if(contman.length < 1) {
		plus.ui.toast("联系人不能为空");
	} else {
		sendData();
	}
});
//向后台请求数据
function sendData() {
	var url = baseURL + "/shendongApp/editLogin.do?actioncode=register";
	var data = {
		custel: custel,
		chnm: chnm,
		contman: contman
	};
	mui.ajax(url, {
		data: data,
		dataType: 'json',
		type: 'post',
		timeout: 5000,
		success: function(data) {
			if(data.msg == "success") {
				plus.nativeUI.toast("注册成功！工作人员将在1个工作日内完成审核");
				setTimeout(function() {
					plus.webview.currentWebview().close();
					plus.webview.getLaunchWebview().show();
				}, 1200)
			} else if(data.errmsg) {
				console.log(data.errmsg);
			} else {
				console.log("网络繁忙，请检查你的网络环境！注册失败");
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络繁忙，请检查你的网络环境");
		}
	});
}