var baseURL;
var mendianPort = null;
var s_port = null;
var cityData;
var tuocheFlag;
mui.plusReady(function() {
	tuocheFlag = true; //代表可拖车,0为不可拖车
	let wv = plus.webview.currentWebview();
	if(wv.from) {
		loadData(wv);
		//关闭右滑
		plus.webview.currentWebview().setStyle({
			popGesture: "none"
		});
		mui.back = function() {};
	}
	baseURL = plus.storage.getItem("baseURL");
	getMdata(); //预加载门点数据
});
//初始化载入门点地址数据
function getMdata() {
	var url = baseURL + "/shendongApp/freight/editFreight.php?actioncode=getMendian";
	mui.ajax(url, {
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			cityData = data;
			if(waitFlag == "true") {
				plus.nativeUI.closeWaiting();
				dealData();
			} else {
				//空						
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//					plus.nativeUI.toast("门点数据加载失败");
		}
	});
}

function dealData() {
	var picker = new mui.PopPicker({
		layer: 4
	}, {
		buttons: ['取消', '确定']
	});
	picker.setData(cityData);
	picker.show(function(items) {
		var text = items[1].text + "-" + items[2].text + "-" + items[3].text;
		var id = items[3].value;
		this.name = id;
		if(items[3].text == " ") {
			mendianPort = items[0].text + "-" + items[1].text + "-" + items[2].text;
			text = items[1].text + "-" + items[2].text
		} else {
			mendianPort = items[0].text + "-" + items[1].text + "-" + items[2].text + "-" + items[3].text;
		}
		document.getElementById("mendian").value = text;
		getData(mendianPort, s_port);
	});
}
var waitFlag = "false";
//门点picker
document.getElementById("mendian").addEventListener("tap", function() {
	if(!cityData) { //如果进来后发现预加载的数据没有成功
		plus.nativeUI.showWaiting("门点数据加载中...");
		waitFlag = "true";
		getMdata();
	} else {

		dealData();
	}
});
//出运港picker
document.getElementById("stport").addEventListener("tap", function() {
	var picker = new mui.PopPicker({
		layer: 1
	}, {
		buttons: ['取消', '确定']
	});
	picker.setData(stport1);
	//picker.pickers[0].setSelectedIndex(4, 2000);//设置打开弹出的默认第几条
	picker.show(function(items) {
		var text = items[0].text;
		document.getElementById("stport").value = text;
		s_port = items[0].value;
		modifyText(text);
		getData(mendianPort, s_port);
	});
});
//修改不同港口的说明内容
function modifyText(text) {
	if(text == "上海") {
		document.getElementById("introduce").innerHTML = "1. 本车队运价适用于普通箱运价（小箱<18T，大箱<23T）;" +
			"</br>2. 超重箱运价（ 小箱 & 大箱超重加收￥ 300 计费）;" +
			"</br>3. 洋山空箱提箱: ￥400 / 箱;" +
			"</br>4. 放空费: 原运价收取， 另加收空箱还箱费;" +
			"</br>5. 预提箱、 熏蒸、 落箱、 两次进港的相关费用另行确认 ;"
	} else if(text == "青岛") {
		document.getElementById("introduce").innerHTML = "1、货物重量限重：22吨/柜。" +
			"</br>2、 超重箱加收￥ 300（ 货重22吨以上， 28 吨以内）， 双背小柜超重不接。" +
			"</br>3、 放空费： 按照原运价收取， 另还箱产生的机械费、 箱使费等实报实销。" +
			"</br>4、 待时费： 到厂6小时候开始收取待时费， 每小时￥ 50;"
	} else if(text == "天津") {
		document.getElementById("introduce").innerHTML = "1. 平台小箱报价均为双背报价，限制重23T/20GP以内，超23T/20GP需另行确认;" +
			"</br>2. 拖车订单需在装箱时间前2 - 3 天进行委托;" +
			"</br>3. 太平洋港需另加RMB150 / 200;" +
			"</br>4. 放空费RMB100 / 箱； 注: 个别船东无法退回运抵费（ 参考费用： RMB300 / 500）;" +
			"</br>5. 报价供参考， 有特殊请另询;"
	}
}

var price_20gp = 0; //20gp价格
var price_40gp = 0;
//监听数量加减事件
function subAdd() {
	var name = this.getAttribute("name");
	var parent = this.parentNode;
	var childs = parent.children;
	var type = parent.id;
	var value = childs[1].innerHTML.trim();
	var portarea = document.getElementById("mendian").value;
	if(!portarea) { //若港口未选
		if(name == "sub") {
			if(parseFloat(value) > 0) {
				childs[1].innerHTML = parseFloat(value) - 1;
				if(type == "type_20gp") {
					document.getElementById("result_20gp").innerHTML = parseFloat(value) - 1;
				} else {
					document.getElementById("result_40gp").innerHTML = parseFloat(value) - 1;
				}
			} else {
				childs[1].innerHTML = 0;
				if(type == "type_20gp") {
					document.getElementById("result_40gp").innerHTML = 0;
				} else {
					document.getElementById("result_40gp").innerHTML = 0;
				}
			}
		} else { //name=="add"
			childs[1].innerHTML = parseFloat(value) + 1;
			if(type == "type_20gp") {
				document.getElementById("result_20gp").innerHTML = parseFloat(value) + 1;
			} else {
				document.getElementById("result_40gp").innerHTML = parseFloat(value) + 1;
			}
		}
	} else { //若港口选了
		if(name == "sub") {
			if(parseFloat(value) > 0) {
				childs[1].innerHTML = parseFloat(value) - 1;
				if(type == "type_20gp") {
					document.getElementById("result_20gp").innerHTML = parseFloat(value) - 1;
				} else {
					document.getElementById("result_40gp").innerHTML = parseFloat(value) - 1;
				}
				showresult(tuocheFlag);
			} else {
				childs[1].innerHTML = 0;
				if(type == "type_20gp") {
					document.getElementById("result_20gp").innerHTML = 0;
				} else {
					document.getElementById("result_40gp").innerHTML = 0;
				}
				showresult(tuocheFlag);
			}
		} else { //name=="add"
			childs[1].innerHTML = parseFloat(value) + 1;
			if(type == "type_20gp") {
				document.getElementById("result_20gp").innerHTML = parseFloat(value) + 1;
			} else {
				document.getElementById("result_40gp").innerHTML = parseFloat(value) + 1;
			}
			showresult(tuocheFlag);
		}
	}
}
mui(".trailer_count_unit_write").on("tap", "div", subAdd);

//底部总价相加
function showresult(boolean) {
	if(boolean) { //有拖车
		document.getElementById("empty").style.display = "none";
		document.getElementById("result").style.display = "";
		document.getElementById("price_20gp").innerText = price_20gp;
		document.getElementById("price_40gp").innerText = price_40gp;
		var total_20gp_price = parseFloat(price_20gp) * parseFloat(document.getElementById("num_20gp").innerText);
		var total_40gp_price = parseFloat(price_40gp) * parseFloat(document.getElementById("num_40gp").innerText);
		var total_price = Number(total_20gp_price) + Number(total_40gp_price);
		document.getElementById("total").innerHTML = total_price;
	} else { //无拖车

		document.getElementById("result").style.display = "none";
		document.getElementById("empty").style.display = "";
	}
}
//从服务器查询价格
function getData(mendianPort, s_port) {
	var url = baseURL + "/shendongApp/freight/editFreight.php?actioncode=getMdPrice";
	var mendianSend = mendianPort;
	var s_portSend = s_port;
	if(!mendianSend || !s_portSend) { //若其中有一个为空，则不发送
		return;
	} else { //都不为空
		mui.ajax(url, {
			data: {
				cityname: mendianSend,
				stport: s_portSend
			},
			dataType: 'json', //服务器返回格式数据
			type: 'post', //HTTP请求类型
			timeout: 8000, //超时时间设置为10秒；
			crossDomain: false,
			success: function(data) {
				if(!data.ft_20rec && !data.ft_40rec) {
					price_20gp = 0;
					price_40gp = 0;
					tuocheFlag = false;
					showresult(tuocheFlag);
				} else {
					price_20gp = data.ft_20rec;
					price_40gp = data.ft_40rec;
					tuocheFlag = true;
					showresult(tuocheFlag);
				}
			},
			error: function(xhr, type, errorThrown) {}
		});
	}
}

//点击确定事件向运价页面传送拖车数据信息
document.getElementById("sure").addEventListener("tap", function() {
	var ws = plus.webview.getWebviewById("cost.html");
	mui.fire(ws, "addTc", {
		target: {
			mendian: document.getElementById("mendian").value,
			price_20gp: document.getElementById("price_20gp").innerText,
			price_40gp: document.getElementById("price_40gp").innerText,
			total_price: document.getElementById("total").innerText
		}
	});
	mui(".trailer_count_unit_write").on("tap", "div", subAdd);
	document.getElementById("back").style.display = "";
	document.getElementById("sure").style.display = "none";
	document.getElementById("trailer_result_0").setAttribute("class", "trailer_result_2");
	plus.webview.currentWebview().close();
});
//来自于运价详情页,载入数据
function loadData(wv) {
	document.getElementById("sure").style.display = "";
	document.getElementById("back").style.display = "none";
	document.getElementById("trailer_result_0").setAttribute("class", "trailer_result_1");
	var requestSport = wv.requestSport;
	var num_20gp = wv.num_20gp;
	var num_40gp = wv.num_40gp;
	document.getElementById("stport").value = requestSport;
	document.getElementById("num_20gp").innerText = num_20gp;
	document.getElementById("num_40gp").innerText = num_40gp;
	document.getElementById("result_20gp").innerText = num_20gp;
	document.getElementById("result_40gp").innerText = num_40gp;
	mui(".trailer_count_unit_write").off("tap", "div", subAdd);
	modifyText(requestSport); //修改说明内容
	if(requestSport == "上海") {
		s_port = "CNSHA";
	} else if(requestSport == "青岛") {
		s_port = "CNTAO";
	} else if(requestSport == "天津") {
		s_port = "CNTSN";
	}
	if(mendianPort != null) {
		getData(mendianPort, s_port);
	}
}