mui.plusReady(function() {
	let wv = plus.webview.currentWebview();
	if(wv.from) {
		//关闭右滑
		plus.webview.currentWebview().setStyle({
			popGesture: "none"
		});
		mui.back = function() {};
		loadData(wv);
	}
	// 隐藏滚动条
	plus.webview.currentWebview().setStyle({
		scrollIndicator: 'none'
	});
});
var cityData;
mui('.mui-scroll-wrapper').scroll({
	deceleration: 0.0001 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
});
var price_20gp = 450; //20gp价格
var price_40gp = 800;
//监听数量加减事件
function subAdd() {
	var name = this.getAttribute("name");
	var parent = this.parentNode;
	var childs = parent.children;
	var type = parent.id;
	var value = childs[1].innerHTML.trim();
	var portarea = document.getElementById("stport").value;
	if(!portarea) { //若港口未选
		if(name == "sub") {
			if(parseFloat(value) > 0) {
				childs[1].innerHTML = parseFloat(value) - 1;
				if(type == "type_20gp") {
					document.getElementById("result_20gp").innerHTML = parseFloat(value) - 1;
				} else {
					document.getElementById("result_40gp").innerHTML = parseFloat(value) - 1;
				}
			} else {
				childs[1].innerHTML = 0;
				if(type == "type_20gp") {
					document.getElementById("result_40gp").innerHTML = 0;
				} else {
					document.getElementById("result_40gp").innerHTML = 0;
				}
			}
		} else { //name=="add"
			childs[1].innerHTML = parseFloat(value) + 1;
			if(type == "type_20gp") {
				document.getElementById("result_20gp").innerHTML = parseFloat(value) + 1;
			} else {
				document.getElementById("result_40gp").innerHTML = parseFloat(value) + 1;
			}
		}
	} else { //若港口选了
		if(name == "sub") {
			if(parseFloat(value) > 0) {
				childs[1].innerHTML = parseFloat(value) - 1;
				if(type == "type_20gp") {
					document.getElementById("result_20gp").innerHTML = parseFloat(value) - 1;
				} else {
					document.getElementById("result_40gp").innerHTML = parseFloat(value) - 1;
				}
				showresult(true);
			} else {
				childs[1].innerHTML = 0;
				if(type == "type_20gp") {
					document.getElementById("result_20gp").innerHTML = 0;
				} else {
					document.getElementById("result_40gp").innerHTML = 0;
				}
				showresult(true);
			}
		} else { //name=="add"
			childs[1].innerHTML = parseFloat(value) + 1;
			if(type == "type_20gp") {
				document.getElementById("result_20gp").innerHTML = parseFloat(value) + 1;
			} else {
				document.getElementById("result_40gp").innerHTML = parseFloat(value) + 1;
			}
			showresult(true);
		}
	}
}
//监听数量加减事件
mui(".warehousing_count_unit_write").on("tap", "div", subAdd);
//载入地址格式
document.getElementById("stport").addEventListener('tap', function() {
	var picker = new mui.PopPicker({
		layer: 2
	}, {
		buttons: ['取消', '确定']
	});
	picker.setData(cangchustport);
	picker.show(function(items) {
		var text1 = items[0].text;
		var text2 = items[1].text;
		if(text2 == "外港") {
			price_20gp = 950;
			price_40gp = 1500;
		} else if(text2 == "洋山港") {
			price_20gp = 450;
			price_40gp = 800;
		}
		document.getElementById("stport").value = text1 + "-" + text2;
		showresult();
	});
});
//底部总价相加
function showresult() {
	document.getElementById("price_20gp").innerText = price_20gp;
	document.getElementById("price_40gp").innerText = price_40gp;
	var total_20gp_price = parseFloat(price_20gp) * parseFloat(document.getElementById("num_20gp").innerText);
	var total_40gp_price = parseFloat(price_40gp) * parseFloat(document.getElementById("num_40gp").innerText);
	var total_price = (total_20gp_price + total_40gp_price).toFixed(2);
	document.getElementById("total").innerHTML = total_price;
}
//点击确定事件向运价页面传送仓储数据信息
document.getElementById("sure").addEventListener("tap", function() {
	var ws = plus.webview.getWebviewById("cost.html");
	mui.fire(ws, "addCc", {
		target: {
			num_20gp: document.getElementById("num_20gp").innerText,
			num_40gp: document.getElementById("num_40gp").innerText,
			price_20gp: price_20gp,
			price_40gp: price_40gp,
			total_price: document.getElementById("total").innerText
		}
	});
	document.getElementById("back").style.display = "";
	document.getElementById("sure").style.display = "none";
	document.getElementById("warehousing_result").setAttribute("class", "warehousing_result");
	mui(".warehousing_count_unit_write").on("tap", "div", subAdd);
	plus.webview.currentWebview().close();
});

//来自于运价详情页,载入数据
function loadData(wv) {
	document.getElementById("back").style.display = "none";
	document.getElementById("sure").style.display = "";
	document.getElementById("warehousing_result").setAttribute("class", "warehousing_result_1");
	document.getElementById("stport").value = wv.requestSport;
	document.getElementById("num_20gp").innerText = wv.num_20gp;
	document.getElementById("num_40gp").innerText = wv.num_40gp;
	document.getElementById("result_20gp").innerText = wv.num_20gp;
	document.getElementById("result_40gp").innerText = wv.num_40gp;
	document.getElementById("type_20gp").addEventListener("tap", function() {
		return false;
	});
	document.getElementById("type_40gp").addEventListener("tap", function() {
		return false;
	});
	mui(".warehousing_count_unit_write").off("tap", "div", subAdd);
	showresult();
}