mui.init();
var old_back = mui.back;
mui.back = function() {};
var uuid;
var baseURL;
mui.plusReady(function() {
	plus.navigator.setStatusBarStyle("dark");
	plus.navigator.setStatusBarBackground("#F7F7F7");
	baseURL = plus.storage.getItem("baseURL");
	var loginFlag = plus.storage.getItem("loginFlag");
	if(loginFlag == "true") { //已经登录过
		document.getElementById("user_no").value = plus.storage.getItem("remember_no");
		document.getElementById("password").value = plus.storage.getItem("password");
		plus.nativeUI.showWaiting("登录验证中...");
		var user_no = plus.storage.getItem("remember_no");
		var password = plus.storage.getItem("password");
		passFlag(user_no, password);
	}
});
//用户已经登录过，也去请求最新的用户信息
function passFlag(user, pas) {
	var data = {
		user_no: user,
		password: pas
	}
	var url = baseURL + "/shendongApp/editLogin.do?actioncode=login";
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回+json格式数据
		type: 'post', //HTTP请求类型
		timeout: 8000, //超时时间设置为10秒；
		success: function(data) {
			console.log("data" + JSON.stringify(data));
			plus.storage.setItem("personFlag", data.personFlag);
			if(data.msg == "success") {
				if(data.personFlag == "1") {
					plus.storage.setItem("userInfo", JSON.stringify(data.userInfo)); //存储用户信息
					plus.storage.setItem("userInfo2", JSON.stringify(data.userInfo2)); //存储用户的客服信息
					plus.storage.setItem("userInfo_xs", "");
				} else {
					plus.storage.setItem("userInfo", "");
					plus.storage.setItem("userInfo2", "");
					plus.storage.setItem("userInfo_xs", JSON.stringify(data.userInfo)); //存储销售信息
				}
				//预加载首页
				var page1 = mui.preload({
					url: "index.html",
					id: "index.html"
				});
				setTimeout(function() {
					plus.nativeUI.closeWaiting("");
					plus.nativeUI.toast("登录成功");
					page1.show();
					plus.webview.currentWebview().close();
				}, 1300); //延迟1s是为了让page1更好的预加载，避免白屏闪动
			} else {
				plus.nativeUI.closeWaiting();
				plus.ui.toast(data.msg);
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			plus.nativeUI.toast("登录失败");
		}
	});
}
//登录验证
document.getElementById("login").addEventListener("tap", function() {
	var user_no = document.getElementById("user_no").value;
	var password = document.getElementById("password").value;
	if(!user_no) {
		plus.nativeUI.toast("请输入用户名");
		return false;
	} else if(!password) {
		plus.nativeUI.toast("请输入密码");
		return false;
	}
	var data = {
		user_no: user_no,
		password: password
	}
	var url = baseURL + "/shendongApp/editLogin.do?actioncode=login";
	plus.nativeUI.showWaiting("正在登陆...");
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回+json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			console.log(JSON.stringify(data.userInfo2));
			plus.storage.setItem("personFlag", data.personFlag); //personFlag为1代表当前用户为客户，2则为销售
			if(data.msg == "success") {
				if(data.personFlag == "1") {
					plus.storage.setItem("userInfo_xs", "");
					plus.storage.setItem("userInfo", JSON.stringify(data.userInfo)); //存储用户信息
					plus.storage.setItem("userInfo2", JSON.stringify(data.userInfo2)); //存储用户的客服信息
				} else {
					plus.storage.setItem("userInfo", "");
					plus.storage.setItem("userInfo2", "");
					plus.storage.setItem("userInfo_xs", JSON.stringify(data.userInfo)); //存储销售信息
				}
				plus.storage.setItem("remember_no", user_no); //记住账号
				plus.storage.setItem("password", password);
				plus.storage.setItem("loginFlag", "true"); //登录标志设置为true
				var page1; //预加载首页
				page1 = mui.preload({
					url: "index.html",
					id: "index.html"
				});
				setTimeout(function() {
					plus.nativeUI.closeWaiting("");
					plus.nativeUI.toast("登录成功");
					page1.show();
					plus.webview.currentWebview().close();
				}, 1300); //延迟1s是为了让page1更好的预加载，避免白屏闪动
			} else {
				plus.nativeUI.closeWaiting();
				plus.ui.toast(data.msg);
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			plus.nativeUI.toast("登录失败");
		}
	});
});
//点击注册按钮
mui(".finnal").on('tap', 'a', function(e) {
	mui.openWindow({
		url: "jzy/reg.html",
		id: "jzy/reg.html",
		show: {
			autoShow: true,
			aniShow: "slide-in-right"
		},
		waiting: {
			autoShow: false,
			title: "马上就好啦..."
		}
	});
});

window.addEventListener("alterUserno", function() {
	document.getElementById("phoneNumber").value = "";
	document.getElementById("password").value = "";
});